package siprp.higiene.relatorio.print;

import org.jdom.Element;

public class EquipamentosToPrint
	implements PrintableInterface
{
	protected EquipamentoToPrint equipamentos[];

	public EquipamentosToPrint( EquipamentoToPrint[] equipamentos )
	{
		super();
		this.equipamentos = equipamentos;
	}

	@Override
	public Element toJdomElement()
		throws Exception
	{
		Element equipamentosElement = new Element( "equipamentos" );
		for( EquipamentoToPrint equipamento : equipamentos )
		{
			equipamentosElement.addContent( equipamento.toJdomElement() );
		}
		return equipamentosElement;
	}
}
